%global debug_package %{nil}
%global hash 72f39d4
%global date 20180715


Summary:        Serial graphics BIOS option rom
Name:           sgabios
Version:        0.%{date}git
Release:        4%{?dist}
License:        ASL 2.0
URL:            https://github.com/qemu/sgabios
Source0:        sgabios-%{date}-git%{hash}.tar.xz

ExclusiveArch:  x86_64
BuildRequires:  make gcc

Requires: %{name}-bin = %{version}-%{release}


%description
SGABIOS is designed to be inserted into a BIOS as an option rom to provide over
a serial port the display and input capabilities normally handled by a VGA
adapter and a keyboard, and additionally provide hooks for logging displayed
characters for later collection after an operating system boots.


%package bin
Summary: Sgabios for x86
Buildarch: noarch

%description bin
SGABIOS is designed to be inserted into a BIOS as an option rom to provide over
a serial port the display and input capabilities normally handled by a VGA
adapter and a keyboard, and additionally provide hooks for logging displayed
characters for later collection after an operating system boots.


%prep
%autosetup -n sgabios-%{date}-git%{hash}


%build
unset MAKEFLAGS
make HOSTCC=gcc

%install
mkdir -p %{buildroot}%{_datadir}/sgabios
install -m 0644 sgabios.bin %{buildroot}%{_datadir}/sgabios


%files
%license
%doc design.txt


%files bin
%dir %{_datadir}/sgabios/
%{_datadir}/sgabios/sgabios.bin


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20180715git-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20180715git-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20180715git-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Dec 28 2022 cunshunxia <cunshunxia@tencent.com> - 0.%{date}git-1
- initial build
